> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询用户



## OpenAPI

````yaml cn POST /user/query
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /user/query:
    post:
      tags: []
      summary: 查询用户
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueryUserRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultQueryUserResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  merchantId: ''
                  merchantUserId: ''
                  powerUserId: ''
                  channel: ''
                  customerName: ''
                  kycFullName: ''
                  firstName: ''
                  secondName: ''
                  lastName: ''
                  birth: ''
                  nationality: ''
                  region: ''
                  city: ''
                  street: ''
                  houseNumber: ''
                  postalCode: ''
                  email: ''
                  mobileNumber: ''
                  mobilePrefix: ''
                  createTime: 0
                  updateTime: 0
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    QueryUserRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户对应用户id
        channel:
          type: string
          description: 开卡渠道
      required:
        - merchantId
        - merchantUserId
        - channel
    CommonResultQueryUserResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/QueryUserResponse'
          description: 结果数据
    QueryUserResponse:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户侧用户id
        powerUserId:
          type: string
          description: powerCard用户id
        channel:
          type: string
          description: 渠道
        customerName:
          type: string
          description: 用户名
        kycFullName:
          type: string
          description: kyc认证完整用户名
        firstName:
          type: string
          description: 名
        secondName:
          type: string
          description: 中间名
        lastName:
          type: string
          description: 姓
        birth:
          type: string
          description: 生日
        nationality:
          type: string
          description: 国籍
        region:
          type: string
          description: 地区
        city:
          type: string
          description: 城市
        street:
          type: string
          description: 街道
        houseNumber:
          type: string
          description: 门牌号
        postalCode:
          type: string
          description: 邮政编码
        email:
          type: string
          description: 电子邮箱
        mobileNumber:
          type: string
          description: 手机号
        mobilePrefix:
          type: string
          description: 手机号国家码
        createTime:
          type: integer
          description: 创建时间
        updateTime:
          type: integer
          description: 商户id

````